#ifndef AUDIOINTRESAMPLER_H
#define AUDIOINTRESAMPLER_H

#include <IAudioResampler.h>

// implementation of the AudioResampler Interface

template <class T> class AudioIntResamplerStereo : public IAudioResampler
{
public:
    virtual unsigned int getBitsPerSample() const;
    virtual void resample(void* out, const void* in, size_t out_count, size_t in_count);
};

template <class T> class AudioIntResamplerMono : public IAudioResampler
{
public:
    virtual unsigned int getBitsPerSample() const;
    virtual void resample(void* out, const void* in, size_t out_count, size_t in_count);
};

#endif
